﻿@model EALG.Models.EmailSyntaxParser;
@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">

    <h1 class="display-4">Email Address List Generator</h1>

    @using (Html.BeginForm())
    {
        <p> 
            @Html.EditorFor(model => model.EmailSyntaxString)
            <text>@@</text>
            @Html.EditorFor(model => model.EmailDomain)
        </p>
        <br />
        <input type="submit" />
        <h4>List: </h4>
        <hr />

        <tr>
            <td>
                @Html.DisplayFor(model => model.EmailAddresses)
            </td>
        </tr>        
        <br />

    }

</div>
